#!/system/bin/sh
MODDIR=${0%/*}
rm -rf $MODPATH/LICENSE
FILESPATH="system/bin"
Path="/sdcard"
bb="/data/adb/magisk/busybox"
until [ "$(getprop sys.boot_completed)" = "1" ] || [ "$(getprop dev.bootcomplete)" = "1" ]
do
sleep 1
done

# V4AIM SUPER TOUCH OPTIMIZATION
# Touch Speed Optimization
setprop persist.sys.TYPE.TOUCH_SPEED true
setprop persist.sys.TYPE_VIEW_HOVER_ENTER true
setprop persist.sys.TYPE_VIEW_HOVER_EXIT true

# Rotation and Touch Debugging
setprop persist.sys.Touch_xRotation 400
setprop persist.sys.one-click_apply true
setprop persist.sys.touchX.debuggable 1

# Gesture and Service Speed
setprop persist.sys.service.gestures.speed 1
setprop persist.sys.Mouse.raiz.ci_scripts 56

# Touch Mapping and Auto Clicks for Screen Orientation
setprop persist.sys.map_area_each_Screen_tap true
setprop persist.sys.Screen.autoclickToLandscapeRight true
setprop persist.sys.Screen.autoclickToPortrait true
setprop persist.sys.Screen.autoclickToPortraitUpsideDown true
setprop persist.sys.Screen.autoclickToLandscapeLeft true

# Slide Gesture
setprop persist.sys.SlideOnPress OEM

#NewV3.0
persist.sys.NV_FPSLIMIT=144
persist.sys.NV_POWERMODE=1
persist.sys.NV_PROFVER=15
persist.sys.NV_STEREOCTRL=0
persist.sys.NV_STEREOSEPCHG=0
persist.sys.NV_STEREOSEP=20

# Gyro delay settings
persist.sys.purgeable_assets=1
persist.sys.use_16bpp_alpha=1
touch.orientationAware=0
touch.size.scale=1
touch.size.isSummed=0
touch.pressure.scale=0
SurfaceOrientation=0
TapDragInterval=0.1ms
QuietInterval=0.1ms
MovementSpeedRatio=0.8
touch.orientationAware=0
persist.sys.ui.hw=1
touch.size.calibration=geometric
touch.size.bias=0
touch.orientation.calibration=interpolated
touch.distance.calibration=area
touch.distance.scale=0
touch.coverage.calibration=box
touch.gestureMode=spots
MultitouchMinDistance=1px
MultitouchSettleInterval=0.1ms
TapSlop=1px

# Aim boosted settings
persist.dev.pm.dyn_samplingrate=1
touch.pressure.calibration=amplitude
windowsmgr.max_events_per_sec=60
view.scroll_friction=0
ro.min_pointer_dur=8
touch.deviceType=touchScreen


#AimOptimizeNew
cmd device_config put touchscreen input_drag_min_switch_speed 500
settings put secure multi_press_timeout "$1" > /dev/null 2>&1
settings put secure long_press_timeout "$2" > /dev/null 2>&1
pm log-visibility --disable "$2" > /dev/null 2>&1
pm log-visibility --disable "$1" > /dev/null 2>&1

# Pengaturan swipe random
x1=$(expr $RANDOM % 1000 + 1)
y1=$(expr $RANDOM % 1000 + 1)
x2=$(expr $RANDOM % 1000 + 1)
y2=$(expr $RANDOM % 1000 + 1)
duration=$(expr $RANDOM % 1000 + 500)
input swipe $x1 $y1 $x2 $y2 $duration > /dev/null 2>&1

settings put secure long_press_timeout=300
setprop touch.orientationAware=0
setprop TapDragInterval=0.1ms
setprop QuietInterval=0.1ms
setprop touch.orientationAware=0

# Konfigurasi Layar Sentuh
# Mengaktifkan fitur game switch, mengatur arah layar sentuh, dan menonaktifkan batasan layar sentuh
echo "1" > /proc/touchpanel/game_switch_enable
echo "1" > /proc/touchpanel/oppo_tp_direction
echo "0" > /proc/touchpanel/oppo_tp_limit_enable
echo "0" > /proc/touchpanel/oplus_tp_limit_enable
echo "1" > /proc/touchpanel/oplus_tp_direction

####################################
# Touchboost
####################################
echo '0' > "/sys/module/msm_perfmon/parameters/touch_boost_enable"
echo '0' > "/sys/module/msm_perfmon/parameters/touch_boost_freq"
echo '0' > "/sys/module/msm_performance/parameters/touchboost"
echo '0' > "/sys/power/pnpmgr/touch_boost"

exit 0